Package com.salesforce.datacloud.jdbc

# Class DataCloudDatasource

java.lang.Object
com.salesforce.datacloud.jdbc.DataCloudDatasource

All Implemented Interfaces:
  `Wrapper`, `CommonDataSource`, `DataSource`

public class DataCloudDatasource extends Object implements DataSource
The DataCloudDatasource provides a type-safe way create a DataCloudConnection. Use the `DataCloudDatasource.builder()` interface to configure the data source. After configuring the data source, call `DataCloudDatasource.getConnection()` to connect. Furthermore, `connectUsingProperties` can be used to connect using a URL and properties.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DataCloudDatasource.DataCloudDatasourceBuilder`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`NOT_SUPPORTED_IN_DATACLOUD_QUERY`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`acceptsURL(String url)`
Checks if the URL is a valid Data Cloud JDBC URL.
`static DataCloudDatasource.DataCloudDatasourceBuilder`
`builder()`
`static com.salesforce.datacloud.jdbc.core.DataCloudConnection`
`connectUsingProperties(@NonNull String url, Properties info)`
Connects to the Data Cloud using the given URL and properties.
`Connection`
`getConnection()`
`Connection`
`getConnection(String username, String password)`
`int`
`getLoginTimeout()`
`PrintWriter`
`getLogWriter()`
`Logger`
`getParentLogger()`
`boolean`
`isWrapperFor(Class<?> iface)`
`void`
`setLoginTimeout(int seconds)`
`void`
`setLogWriter(PrintWriter out)`
`<T> T`
`unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

## Field Details

### NOT_SUPPORTED_IN_DATACLOUD_QUERY

protected static final String NOT_SUPPORTED_IN_DATACLOUD_QUERY

See Also:
  - Constant Field Values

## Method Details

### getConnection

public Connection getConnection() throws SQLException

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

### acceptsURL

public static boolean acceptsURL(String url)
Checks if the URL is a valid Data Cloud JDBC URL.

### connectUsingProperties

public static com.salesforce.datacloud.jdbc.core.DataCloudConnection connectUsingProperties(@NonNull @NonNull String url, Properties info) throws SQLException
Connects to the Data Cloud using the given URL and properties. Similar to the interface accessible via `DriverManager.getConnection()`.

Throws:
  `SQLException`

### getConnection

public Connection getConnection(String username, String password) throws SQLException

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

### getLogWriter

public PrintWriter getLogWriter() throws SQLException

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Specified by:
  `getLogWriter` in interface `DataSource`
Throws:
  `SQLException`

### setLogWriter

public void setLogWriter(PrintWriter out) throws SQLException

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Specified by:
  `setLogWriter` in interface `DataSource`
Throws:
  `SQLException`

### setLoginTimeout

public void setLoginTimeout(int seconds) throws SQLException

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

### getLoginTimeout

public int getLoginTimeout() throws SQLException

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

### getParentLogger

public Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `CommonDataSource`

### unwrap

public <T> T unwrap(Class<T> iface) throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

### isWrapperFor

public boolean isWrapperFor(Class<?> iface) throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

### builder

public static DataCloudDatasource.DataCloudDatasourceBuilder builder()